#pragma once

#include "CoreMinimal.h"
#include "DBDPrimaryDataAsset.h"
#include "UObject/SoftObjectPtr.h"
#include "ProceduralCameraSequenceData.generated.h"

class UProceduralCameraShotData;

UCLASS(Blueprintable)
class DBDPROCEDURALCAMERA_API UProceduralCameraSequenceData : public UDBDPrimaryDataAsset
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TMap<TSoftObjectPtr<UProceduralCameraShotData>, int32> _rankedShots;

public:
	UProceduralCameraSequenceData();
};

FORCEINLINE uint32 GetTypeHash(const UProceduralCameraSequenceData) { return 0; }
